Skip to content
Developer

ChatbotConsent

Chat and notifications2 EndpointsChat / ChatbotConsent

Widerruft das KI-Opt-in einer Person

POST/api/chat/chatbot_consent/revoke/{personIdentifier}

Path parameters

personIdentifierrequiredstring

Responses

200Die geschriebene Widerrufs-ZeileChatbotConsent2

Show fields (8)
  • idinteger

    Primary key of the consent. Internal ID.

  • grantedboolean

    Whether the consent is granted.

  • text_versionstring

    Version des Einwilligungstextes (Setting chatbot_member_consent_version).

  • text_hashstring

    sha256 des Textes, dem tatsaechlich zugestimmt wurde.

  • sourcestring

    customer_app | admin | import - siehe SOURCE_* Konstanten.

  • ip_hashstring

    sha256 der IP-Adresse - kein Klartext, aber als Nachweis verwertbar.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/chat/chatbot_consent/revoke/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "granted": true,
  "text_version": "string",
  "text_hash": "string",
  "source": "string",
  "ip_hash": "string",
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}